[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Pkg-fonts-devel] RFS: ttf-sil-gentium (release-goal bug fix)



On Tue, Nov 25, 2008 at 9:14 PM, Theppitak Karoonboonyanan
<thep@linux.thai.net> wrote:

> OK. I'll do so, after updating as commented.

I've updated the package and uploaded it at the same location:

  dget http://mentors.debian.net/debian/pool/main/t/ttf-sil-gentium/ttf-sil-gentium_1.02+dfsg1-5lenny0.1.dsc

The debdiff is attached. I'll contact release team soon.

-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/
diff -u ttf-sil-gentium-1.02+dfsg1/debian/changelog ttf-sil-gentium-1.02+dfsg1/debian/changelog
--- ttf-sil-gentium-1.02+dfsg1/debian/changelog
+++ ttf-sil-gentium-1.02+dfsg1/debian/changelog
@@ -1,3 +1,12 @@
+ttf-sil-gentium (1.02+dfsg1-5lenny0.1) testing-proposed-updates; urgency=low
+
+  * Non-maintainer upload.
+  * Uploading to testing-proposed-updates, as the transitional package has
+    already been dropped in unstable.
+  * ttf-gentium.preinst: Clear obsolete conffile. Closes: #455109.
+
+ -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Tue, 25 Nov 2008 21:15:09 +0700
+
 ttf-sil-gentium (1.02+dfsg1-5) unstable; urgency=low
 
   * Removed non-free local.conf. (Closes: #429650)
only in patch2:
unchanged:
--- ttf-sil-gentium-1.02+dfsg1.orig/debian/ttf-gentium.preinst
+++ ttf-sil-gentium-1.02+dfsg1/debian/ttf-gentium.preinst
@@ -0,0 +1,49 @@
+#! /bin/sh
+# preinst script for ttf-gentium
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# For details see /usr/share/doc/packaging-manual/
+
+# Remove a no-longer used conffile
+rm_conffile() {
+    CONFFILE="$1"
+
+    if [ -e "$CONFFILE" ]; then
+        echo "Removing obsolete conffile $CONFFILE ..."
+        rm -f "$CONFFILE"
+    fi
+}
+
+case "$1" in
+    install|upgrade)
+        if dpkg --compare-versions "$2" le "1.02+dfsg1-5"; then
+            rm_conffile "/etc/defoma/hints/ttf-gentium.hints"
+        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Reply to: